Creates a new user_skill_list object

Request Information

URI Parameters :

None.

Body Parameters :

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "c32da71e-b696-46f3-a23a-d549a3b1e3fc",
  "user_id": "48cb9e3b-210c-4311-9cb3-7538b61e26e8",
  "user_code": "sample string 3",
  "user": {
    "id": "55bd14ac-887e-4209-9930-90ba4010739f",
    "db_language_id": "31da3b4d-13f7-4f3a-8feb-4ac6ea22b99e",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-12T20:31:53.8584657+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "cc997d1c-84e5-4397-9178-6b24ab56d912",
    "sales_organization": {
      "id": "2bb16a87-9af5-493f-b1eb-29c0c0113409",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "ccd11647-9ea5-453f-8f36-b1f8cc3724ad",
      "db_currency_id": "cd9fed6b-5db0-4b0f-974a-5a5c33c25976",
      "db_language_id": "bbce4ec8-1aa3-41be-967e-11d16b4cba41",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T20:31:53.8584657+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "46771f93-8fac-4eaa-bac4-cd6fc153adf5",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "4b213f7b-924b-4204-b752-749473c73d23",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-12T20:31:53.8584657+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "3ecccf07-6bf6-415d-9f29-f6e2c4e0dc72"
  },
  "skill_id": "fb697a5b-af04-4ed5-9848-dc80b80c5abf",
  "skill_code": "sample string 5",
  "skill": {
    "id": "b8491085-0ab1-4e24-a9ba-5ecb9fb9ecac",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "e851211e-ffa3-4b53-b1d2-0b4f536228e5",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "2bb16a87-9af5-493f-b1eb-29c0c0113409",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "ccd11647-9ea5-453f-8f36-b1f8cc3724ad",
      "db_currency_id": "cd9fed6b-5db0-4b0f-974a-5a5c33c25976",
      "db_language_id": "bbce4ec8-1aa3-41be-967e-11d16b4cba41",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T20:31:53.8584657+00:00"
    },
    "modified_dateutc": "2026-11-12T20:31:53.8779471+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-11-12T20:31:53.8779471+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.